HasFreeSpace (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.taskdefs.condition

## Class HasFreeSpace

- java.lang.Object
- - org.apache.tools.ant.taskdefs.condition.HasFreeSpace

- All Implemented Interfaces:
    `Condition`

      public class HasFreeSpace
      extends java.lang.Object
      implements Condition

  <hasfreespace>

  Condition returns true if selected partition has the requested space, false otherwise.

  Since:
    Ant 1.7

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HasFreeSpace()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Evaluate the condition.
    `java.lang.String` | `getNeeded()` | The amount of free space required
    `java.lang.String` | `getPartition()` | The partition/device to check
    `void` | `setNeeded​(java.lang.String needed)` | Set the amount of space required.
    `void` | `setPartition​(java.lang.String partition)` | Set the partition name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasFreeSpace

          public HasFreeSpace()

  - ### Method Detail

    - #### eval

          public boolean eval()
                       throws BuildException

      Evaluate the condition.
      Specified by:
        `eval` in interface `Condition`
      Returns:
        true if there enough free space.
      Throws:
        `BuildException` - if there is a problem.

    - #### getPartition

          public java.lang.String getPartition()

      The partition/device to check
      Returns:
        the partition.

    - #### setPartition

          public void setPartition​(java.lang.String partition)

      Set the partition name.
      Parameters:
        `partition` - the name to use.

    - #### getNeeded

          public java.lang.String getNeeded()

      The amount of free space required
      Returns:
        the amount required

    - #### setNeeded

          public void setNeeded​(java.lang.String needed)

      Set the amount of space required.
      Parameters:
        `needed` - the amount required.